lensfun 0.3.1.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibRealFocal Struct Reference
Structures and functions for lenses

Struct to save real focal length, which can depends on the (nominal) focal length. More...

`#include <lensfun.h>`

## Public Attributes
float | Focal
float | RealFocal
| Real focal length. More...

## Detailed Description

Struct to save real focal length, which can depends on the (nominal) focal length.

## Member Data Documentation

float lfLensCalibRealFocal::Focal

Nominal focal length in mm at which this calibration data was taken

float lfLensCalibRealFocal::RealFocal

Real focal length.

When Lensfun speaks of “focal length”, the nominal focal length from the EXIF data or the gravure on the lens barrel is meant. However, especially for fisheye lenses, the real focal length generally differs from that nominal focal length. With “real focal length” I mean the focal length in the paraxial approximation, see http://en.wikipedia.org/wiki/Paraxial_approximation. Note that Hugin (as of 2014) implements the calculation of the real focal length wrongly, see http://article.gmane.org/gmane.comp.misc.ptx/34865.

The documentation for this struct was generated from the following file:

- lensfun.h